Subject: bug#4157: 23.1.50; faulty character characterisation for ä

From: Stefan Monnier <[email-masked]>
Date: Thu, 10 Oct 2019 08:54:32 -0400

> To see this, I was running:
>
> LC_CTYPE=de_DE.ISO8859-15 LANG=de_DE.ISO8859-15 ./src/emacs -Q

Definitely not a good idea.

> Perhaps you're just not supposed to use anything but UTF-8 on macOS?

Exactly.

I'd argue this applies to GNU/Linux as well nowadays, but macsox has
been utf-8 only since the very beginning, AFAIK, and it (for example)
enforces that file names are in utf-8, so using anything else than utf-8
in macosx is asking for trouble.

        Stefan